cURL
curl --request GET \
--url https://api.example.com/subscriptions/{id}/invoices \
--header 'client_id: <api-key>' \
--header 'secret_key: <api-key>'import requests
url = "https://api.example.com/subscriptions/{id}/invoices"
headers = {
"client_id": "<api-key>",
"secret_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {client_id: '<api-key>', secret_key: '<api-key>'}};
fetch('https://api.example.com/subscriptions/{id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"number": 123,
"customer": {
"id": "<string>",
"name": "<string>",
"federalTaxId": "<string>",
"contact": {
"phone": {
"countryCode": "<string>",
"areaCode": "<string>",
"phoneNumber": "<string>"
},
"email": "<string>"
},
"address": {
"street": "<string>",
"number": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"complement": "<string>"
},
"createdAt": "<string>",
"externalCode": "<string>"
},
"supplier": {
"id": "<string>",
"name": "<string>",
"businessName": "<string>",
"federalTaxId": "<string>",
"address": {
"street": "<string>",
"number": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"complement": "<string>"
},
"createdAt": "<string>",
"contact": {
"phone": {
"countryCode": "<string>",
"areaCode": "<string>",
"phoneNumber": "<string>"
},
"email": "<string>"
},
"externalCode": "<string>"
},
"referenceStartDate": "<string>",
"referenceEndDate": "<string>",
"items": [
{
"id": "<string>",
"invoiceId": "<string>",
"componentId": "<string>",
"transactionId": "<string>",
"description": "<string>",
"price": "<string>",
"referencePeriod": {
"startDate": "<string>",
"endDate": "<string>"
},
"createdAt": "<string>",
"metadata": {},
"externalCode": "<string>",
"idempotencyKey": "<string>"
}
],
"createdAt": "<string>",
"totalPrice": "<string>",
"dueDate": "<string>",
"description": "<string>",
"externalCode": "<string>",
"issuedAt": "<string>",
"canceledAt": "<string>",
"metadata": {},
"brokerReconciliationId": "<string>"
}
]Subscriptions
List invoices
GET
/
subscriptions
/
{id}
/
invoices
cURL
Path Parameters
Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
PENDING, PROCESSING, DRAFT, OPEN, VOID, PAID, FAILED, CANCELED Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I